---
# main tasks for installing vagrant

# install required system packages
- name: install system packages
  apt:
    state: present
    name: "{{item}}"
    update_cache: yes
  with_items:
    - git
    - virtualbox

# install vagrant
- stat: path=/usr/bin/vagrant
  register: vagrant_exe

- name: download vagrant package
  get_url:
    dest: "{{ vagrant_installer_path }}"
    url: "{{ vagrant_installer_url }}"
  when: vagrant_exe.stat.exists == False

- name: install vagrant deb from download
  apt:
    deb: "{{ vagrant_installer_path }}"
  when: vagrant_exe.stat.exists == False

- name: remove vagrant installer
  file:
    state: absent
    path: "{{ vagrant_installer_path }}"

